Onboard a Shopify store (Shopify merchants only)
curl --request POST \
--url https://api.voice-agents.miraiminds.co/v2/workspace/onboard/shopify \
--header 'Content-Type: application/json' \
--header 'x-private-key: <api-key>' \
--header 'x-public-key: <api-key>' \
--data '
{
"name": "The Leather Co.",
"currencyCode": "INR",
"timezone": "Asia/Kolkata",
"supportContacts": {
"phoneNumber": "+91-9876543210",
"email": "support@brand.com"
},
"trustSignals": {
"valuePropositionOneLiner": "Handcrafted in Jaipur using 100% sustainable vegan leather.",
"customersTillDate": 15400,
"totalOrdersFulfilled": 50000,
"storeRating": 4.8
},
"policyFramework": {
"returnPolicy": {
"windowDays": 7,
"processingFee": {
"amount": 50
},
"refundTimelineDays": 3
},
"shippingPolicy": {
"deliveryTimeline": {
"minDays": 3,
"maxDays": 5
},
"freeShippingMinOrderValue": 999
},
"codPolicy": {
"enabled": true,
"additionalFee": {
"amount": 50
}
}
}
}
'import requests
url = "https://api.voice-agents.miraiminds.co/v2/workspace/onboard/shopify"
payload = {
"name": "The Leather Co.",
"currencyCode": "INR",
"timezone": "Asia/Kolkata",
"supportContacts": {
"phoneNumber": "+91-9876543210",
"email": "support@brand.com"
},
"trustSignals": {
"valuePropositionOneLiner": "Handcrafted in Jaipur using 100% sustainable vegan leather.",
"customersTillDate": 15400,
"totalOrdersFulfilled": 50000,
"storeRating": 4.8
},
"policyFramework": {
"returnPolicy": {
"windowDays": 7,
"processingFee": { "amount": 50 },
"refundTimelineDays": 3
},
"shippingPolicy": {
"deliveryTimeline": {
"minDays": 3,
"maxDays": 5
},
"freeShippingMinOrderValue": 999
},
"codPolicy": {
"enabled": True,
"additionalFee": { "amount": 50 }
}
}
}
headers = {
"x-public-key": "<api-key>",
"x-private-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const url = 'https://api.voice-agents.miraiminds.co/v2/workspace/onboard/shopify';
const options = {
method: 'POST',
headers: {
'x-public-key': '<api-key>',
'x-private-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'The Leather Co.',
currencyCode: 'INR',
timezone: 'Asia/Kolkata',
supportContacts: {phoneNumber: '+91-9876543210', email: 'support@brand.com'},
trustSignals: {
valuePropositionOneLiner: 'Handcrafted in Jaipur using 100% sustainable vegan leather.',
customersTillDate: 15400,
totalOrdersFulfilled: 50000,
storeRating: 4.8
},
policyFramework: {
returnPolicy: {windowDays: 7, processingFee: {amount: 50}, refundTimelineDays: 3},
shippingPolicy: {deliveryTimeline: {minDays: 3, maxDays: 5}, freeShippingMinOrderValue: 999},
codPolicy: {enabled: true, additionalFee: {amount: 50}}
}
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"workspace": "4524239459234",
"status": "active",
"billing": {
"type": "prepaid",
"creditBalance": 100,
"negativeCreditAllowance": 100
}
}Onboarding
Onboard a Shopify store (Shopify merchants only)
Shopify-specific onboarding. Uploads the store’s identity, trust metrics, and policies. Returns the Workspace ID and Billing Configuration.
For all other integrations, use POST /v2/workspace/onboard/custom instead.
POST
/
v2
/
workspace
/
onboard
/
shopify
Onboard a Shopify store (Shopify merchants only)
curl --request POST \
--url https://api.voice-agents.miraiminds.co/v2/workspace/onboard/shopify \
--header 'Content-Type: application/json' \
--header 'x-private-key: <api-key>' \
--header 'x-public-key: <api-key>' \
--data '
{
"name": "The Leather Co.",
"currencyCode": "INR",
"timezone": "Asia/Kolkata",
"supportContacts": {
"phoneNumber": "+91-9876543210",
"email": "support@brand.com"
},
"trustSignals": {
"valuePropositionOneLiner": "Handcrafted in Jaipur using 100% sustainable vegan leather.",
"customersTillDate": 15400,
"totalOrdersFulfilled": 50000,
"storeRating": 4.8
},
"policyFramework": {
"returnPolicy": {
"windowDays": 7,
"processingFee": {
"amount": 50
},
"refundTimelineDays": 3
},
"shippingPolicy": {
"deliveryTimeline": {
"minDays": 3,
"maxDays": 5
},
"freeShippingMinOrderValue": 999
},
"codPolicy": {
"enabled": true,
"additionalFee": {
"amount": 50
}
}
}
}
'import requests
url = "https://api.voice-agents.miraiminds.co/v2/workspace/onboard/shopify"
payload = {
"name": "The Leather Co.",
"currencyCode": "INR",
"timezone": "Asia/Kolkata",
"supportContacts": {
"phoneNumber": "+91-9876543210",
"email": "support@brand.com"
},
"trustSignals": {
"valuePropositionOneLiner": "Handcrafted in Jaipur using 100% sustainable vegan leather.",
"customersTillDate": 15400,
"totalOrdersFulfilled": 50000,
"storeRating": 4.8
},
"policyFramework": {
"returnPolicy": {
"windowDays": 7,
"processingFee": { "amount": 50 },
"refundTimelineDays": 3
},
"shippingPolicy": {
"deliveryTimeline": {
"minDays": 3,
"maxDays": 5
},
"freeShippingMinOrderValue": 999
},
"codPolicy": {
"enabled": True,
"additionalFee": { "amount": 50 }
}
}
}
headers = {
"x-public-key": "<api-key>",
"x-private-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const url = 'https://api.voice-agents.miraiminds.co/v2/workspace/onboard/shopify';
const options = {
method: 'POST',
headers: {
'x-public-key': '<api-key>',
'x-private-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'The Leather Co.',
currencyCode: 'INR',
timezone: 'Asia/Kolkata',
supportContacts: {phoneNumber: '+91-9876543210', email: 'support@brand.com'},
trustSignals: {
valuePropositionOneLiner: 'Handcrafted in Jaipur using 100% sustainable vegan leather.',
customersTillDate: 15400,
totalOrdersFulfilled: 50000,
storeRating: 4.8
},
policyFramework: {
returnPolicy: {windowDays: 7, processingFee: {amount: 50}, refundTimelineDays: 3},
shippingPolicy: {deliveryTimeline: {minDays: 3, maxDays: 5}, freeShippingMinOrderValue: 999},
codPolicy: {enabled: true, additionalFee: {amount: 50}}
}
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"workspace": "4524239459234",
"status": "active",
"billing": {
"type": "prepaid",
"creditBalance": 100,
"negativeCreditAllowance": 100
}
}Body
application/json
⌘I